/* 
 * Neighbours Layer
 * 
 * neighbours.h
 *
 * Neighbours related functions.
 * 
 */

#ifndef _NEIGHBOURS_H_
#define _NEIGHBOURS_H_


/*
 * neighbours_new: defines a neighbours file
 * - filename: the file name with the users data
 * - servers: the file name with the servers data
 *   returns: 0 if success, -1 if not
 */
int neighbours_new(char *filename, char *servers);


/*
 * neighbours_get: copies the list of neighbours of the current
 * counter in the form "address1:port1/weight1, address2:port2/weight2,..."
 * to the given "neighbours" string.
 * - neighbours: the string where to copy the result
 */
void neighbours_get(char* neighbours);


#endif
