#ifndef _STRDUP_H_
#define _STRDUP_H_


/*
 * Creates a copy of a string.
 * - string: string to be duplicated
 *   returns: a copy of the given string
 */
char* strdup(const char* string);

/*
 * Creates a copy of part of a string.
 * - string: string to be duplicated
 * - length: maximum number of characters to copy
 *   returns: a partial copy of the given string
 */
char* strndup(const char* string, size_t length);

#endif
